// msgwnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMsgWnd window

class CMsgWnd : public CWnd
{
// Construction
public:
	CMsgWnd(BOOL bAdvance=1);

//chinese
public:
  CString strName; 
  CRect   rectRange;

// Attributes       
public:
   void SetTitle(LPSTR lp);
   BOOL SetContent(LPSTR lpFileName);
   void PaintTitle(CDC &dc);
   void PaintContent(CDC &dc);
   void SetTitleFont(int nHeight=36,int nWidth=18,int nWeight=1600);
   void SetTextFont(int nHeight=18,int nWidth=7,int nWeight=600); 
   void ClearMsg();
private:
   BOOL    m_bAdvance;
   LOGFONT logFont;
   CFont   m_font;
   CEdit   m_pExplainEdit;
   char    m_szTitle[50];
// Operations
public:

// Implementation
public:
	virtual ~CMsgWnd();

protected:
	// Generated message map functions
	//{{AFX_MSG(CMsgWnd)
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
void FilterString(LPSTR);